<?php
/*
 * Plugin Name:	DesignThemes Core Features Plugin 
 * URI: 	http://wedesignthemes.com/plugins/designthemes-core-features 
 * Description: A simple wordpress plugin designed to implements <strong>core features of DesignThemes</strong> 
 * Version: 	2.1
 * Author: 		DesignThemes 
 * Author URI:	http://themeforest.net/user/designthemes
 */
if (! class_exists ( 'DTCorePlugin' )) {
	
	/**
	 * Basic class to load Shortcodes & Custom Posts
	 *
	 * @author iamdesigning11
	 */
	#[AllowDynamicProperties]
	class DTCorePlugin {

		function __construct() {

			require_once plugin_dir_path ( __FILE__ ).'/functions.php';

			
			$this->plugin_dir_path = plugin_dir_path ( __FILE__ );
			// Add Hook into the 'init()' action
			add_action ( 'init', array (
					$this,
					'dtLoadPluginTextDomain' 
			) );
			// Register Shortcodes
			require_once plugin_dir_path ( __FILE__ ) . '/shortcodes/register-shortcodes.php';
			
			if (class_exists ( 'DTCoreShortcodes' )) {
				$dt_core_shortcodes = new DTCoreShortcodes ();
			}
			
			// Register Custom Post Types
			require_once plugin_dir_path ( __FILE__ ) . '/custom-post-types/register-post-types.php';
			
			if (class_exists ( 'DTCoreCustomPostTypes' )) {
				$dt_core_custom_posts = new DTCoreCustomPostTypes ();
			}

			// Register Page Builder
			require_once plugin_dir_path ( __FILE__ ) . '/page-builder/register-page-builder.php';
			
			if (class_exists ( 'DTCorePageBuilder' )) {
				$dt_core_page_builder = new DTCorePageBuilder ();
			}

			// Register Widget
				add_action('widgets_init', array( $this, 'register_widgets' ) );
				require_once plugin_dir_path ( __FILE__ ).'/widgets/twitter.php';
				require_once plugin_dir_path ( __FILE__ ).'/widgets/mailchimp.php';
				require_once plugin_dir_path ( __FILE__ ).'/widgets/flickr.php';
				require_once plugin_dir_path ( __FILE__ ).'/widgets/recent_posts.php';
				require_once plugin_dir_path ( __FILE__ ).'/widgets/dt_gallery_widgets.php';

			// Register Metabox
				add_action( 'init', array( $this, 'register_metaboxes' ) );		
				
			// Register Privacy
				require_once plugin_dir_path ( __FILE__ ) . '/privacy/register-privacy.php';

		}

		function register_widgets() {
			#Twitter
			register_widget('MY_Twitter');

			#Mailchimp
			register_widget('MY_Mailchimp');

			#Flickr
			register_widget('MY_Flickr');

			#Recent Posts
			register_widget('MY_Recent_Posts');

			#My Galley Widgets
			register_widget('MY_Gallery_Widget');
		}

		function register_metaboxes() {
			require_once plugin_dir_path ( __FILE__ ).'/metaboxes/post_metabox.php';
			require_once plugin_dir_path ( __FILE__ ).'/metaboxes/page_metabox.php';
		}		
		
		/**
		 * To load text domain
		 */
		function dtLoadPluginTextDomain() {
			load_plugin_textdomain ( 'dt_themes', false, dirname ( plugin_basename ( __FILE__ ) ) . '/languages/' );
		}
		
		/**
		 */
		public static function dtCorePluginActivate() {
		}
		
		/**
		 */
		public static function dtCorePluginDectivate() {
		}
	}
}

if (class_exists ( 'DTCorePlugin' )) {
	
	register_activation_hook ( __FILE__, array (
			'DTCorePlugin',
			'dtCorePluginActivate' 
	) );
	register_deactivation_hook ( __FILE__, array (
			'DTCorePlugin',
			'dtCorePluginDectivate' 
	) );
	
	$dt_core_plugin = new DTCorePlugin ();
}?>